Subject: Re: bug#53645: Unable to guix pull on pinebook pro

From: "D. Birch" <[email-masked]>
Date: Thu, 3 Feb 2022 16:36:57 +0000

On Thu, 3 Feb 2022 at 16:27, D. Birch <[email-masked]> wrote:

>
> I re-ran with -K (e.g. guix pull -v3 --commit 2641621 -K 2>&1 | tee
> guix-pull-bug-verbose-02) to keep build files, and a quick cat
> /tmp/guix-build-util-linux-2.37.2.drv-0/util-linux-2.37.2/tests/output/misc/swaplabel.err
> appears to confirm the bug
>
> mkswap: error: swap area needs to be at least 10 pages
> mkswap: <swapfile>: insecure permissions <perm>, fix with: chmod 0600
> <swapfile>
>
> mkswap: <swapfile> contains holes or other unsupported extents.
>         This swap file can be rejected by kernel on swap activation!
>         Use --verbose for more details.
>
> mkswap: Label was truncated.
>
> I'm still green to know how to fix this, but I presume if I check out the
> latest version via git and the docs online, I should be able to update the
> definition for util-linux to include the patch, then try again?
>
>  In fact, this was fixed upstream in commit
a02721f35b30d4ee0133446f016442f63117ddf6, is there a way I can easily
progress, by making use of that, or a later commit?